This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: distutils link-objects is not normalized
Type: Stage: resolved
Components: Distutils Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: link_objects in setup.cfg crashes build
View: 1703178
Assigned To: Nosy List: cheryl.sabella, dstufft, eric.araujo, jdfergason
Priority: normal Keywords:

Created on 2016-01-29 22:00 by jdfergason, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (2)
msg259223 - (view) Author: Jeremy Fergason (jdfergason) Date: 2016-01-29 22:00
When giving setup.cfg a link-objects argument build fails with an error message about cannot concatenate string with list.  

Need to add the following line to: Lib/distutils/command/build_ext.py

self.ensure_string_list('link_objects')

See patch here:

https://github.com/jdfergason/cpython/compare/master...jdfergason-distutils-fix?quick_pull=1
msg333422 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-01-10 22:15
This was fixed in issue 1703178.
History
Date User Action Args
2022-04-11 14:58:27adminsetgithub: 70427
2019-01-10 22:15:03cheryl.sabellasetstatus: open -> closed

superseder: link_objects in setup.cfg crashes build

nosy: + cheryl.sabella
messages: + msg333422
resolution: duplicate
stage: resolved
2016-01-29 22:00:48jdfergasoncreate